- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS

# NAME

rt-static-docs - generate doc shipped with RT

# SYNOPSIS

        rt-static-docs --to /path/to/output [--source /path/to/rt]

# DESCRIPTION

RT ships with documentation (written in POD) embedded in library files, at the end of utility scripts, and in standalone files. This script finds all of that documentation, collects and converts it into a nice set of HTML files, and tops it off with a helpful index.

Best Practical uses this to publish documentation under http://bestpractical.com/rt/docs/.

# OPTIONS

--to

  Set the destination directory for the output files.

--source

  Set the RT base directory to search under. Defaults to the current working directory, which is fine if you're running this script as `devel/tools/rt-static-docs`.

  May also point to a tarball (a file ending in `.tar.gz`) which will be unpacked into a temporary directory and used as the RT base directory.

--extension=RTx::Foo

  Indicates when `--source` is an RT extension, such as RT::IR. Takes an extension name for future use, but currently it only acts as a flag to suppress a warning about not finding ./configure.

--help

  Print this help.

← Back to index